
package keymon.lat.medicomed;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class tracker implements IRemote{
	public static tracker mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public tracker() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("tracker"), "keymon.lat.medicomed.tracker");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("keymon.lat.medicomed.tracker");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, tracker.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _nid = RemoteObject.createImmutable(0);
public static RemoteObject _tracking = RemoteObject.createImmutable(false);
public static RemoteObject _lock = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone.PhoneWakeState");
public static RemoteObject _flp = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
public static RemoteObject _actuallr = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
public static RemoteObject _flpstarted = RemoteObject.createImmutable(false);
public static RemoteObject _uugcoords = RemoteObject.declareNull("anywheresoftware.b4a.gps.LocationWrapper");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static keymon.lat.medicomed.main _main = null;
public static keymon.lat.medicomed.starter _starter = null;
public static keymon.lat.medicomed.subs _subs = null;
public static keymon.lat.medicomed.appupdater _appupdater = null;
public static keymon.lat.medicomed.mapa_rutas _mapa_rutas = null;
public static keymon.lat.medicomed.newinst2 _newinst2 = null;
public static keymon.lat.medicomed.b4xpages _b4xpages = null;
public static keymon.lat.medicomed.b4xcollections _b4xcollections = null;
public static keymon.lat.medicomed.httputils2service _httputils2service = null;
public static keymon.lat.medicomed.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"actualLR",tracker._actuallr,"appUpdater",Debug.moduleToString(keymon.lat.medicomed.appupdater.class),"B4XCollections",Debug.moduleToString(keymon.lat.medicomed.b4xcollections.class),"B4XPages",Debug.moduleToString(keymon.lat.medicomed.b4xpages.class),"DateUtils",tracker.mostCurrent._dateutils,"FLP",tracker._flp,"flpStarted",tracker._flpstarted,"HttpUtils2Service",Debug.moduleToString(keymon.lat.medicomed.httputils2service.class),"lock",tracker._lock,"Main",Debug.moduleToString(keymon.lat.medicomed.main.class),"MAPA_RUTAS",Debug.moduleToString(keymon.lat.medicomed.mapa_rutas.class),"newinst2",Debug.moduleToString(keymon.lat.medicomed.newinst2.class),"nid",tracker._nid,"Service",tracker.mostCurrent._service,"Starter",Debug.moduleToString(keymon.lat.medicomed.starter.class),"Subs",Debug.moduleToString(keymon.lat.medicomed.subs.class),"Tracking",tracker._tracking,"UUGCoords",tracker._uugcoords,"XUIViewsUtils",Debug.moduleToString(keymon.lat.medicomed.xuiviewsutils.class)};
}
}